// Name	 ::	Auto Remove Bricks
// ================
// Made by	::	McTwist
// Date	 ::	09-12-11
// Info	 ::	Clears out bricks for nonadmins when they leave the server
// License	::	Free to use
// ================

// RTB preferences
if (isFile("Add-Ons/System_ReturnToBlockland/server.cs"))
{
	if (!$RTB::RTBS_ServerControl)
	{
		exec("Add-Ons/System_ReturnToBlockland/RTBR_ServerControl_Hook.cs");
	}
	RTB_registerPref("Enable", "Auto Remove Bricks On Disconnect", "$Pref::AutoRemoveBricks", "bool", "Auto Remove Bricks", true, false, false, "");
}
else
{
	$Pref::AutoRemoveBricks = true; // Determines if bricks should be removed
}

// Functions

// Command
function ServerCmdToggleAutoRemoveBricks(%client)
{
	if (!%client.isSuperAdmin)
		return;
	
	$Pref::AutoRemoveBricks = !$Pref::AutoRemoveBricks;
	messageClient(%client, '', "\c6Auto remove bricks: \c3" @ ($Pref::AutoRemoveBricks ? "On" : "Off"));
}

if (isPackage(Script_AutoRemoveBricks))
	deactivatePackage(Script_AutoRemoveBricks);

package Script_AutoRemoveBricks
{
	// When client leaves server
	function GameConnection::onClientLeaveGame(%client)
	{
		
		// Avoid admins being removed
		if (%client.isAdmin)
		{
			Parent::onClientLeaveGame(%client);
			return;
		}
		
		// And check if it is enabled
		if (!$Pref::AutoRemoveBricks)
		{
			Parent::onClientLeaveGame(%client);
			return;
		}
		
		// Clear client bricks
		ServerCmdClearBricks(%client);
		Parent::onClientLeaveGame(%client);
	}
};

activatePackage(Script_AutoRemoveBricks);